/* Event Kalender - kalenderscript.js
 - Webbausteine.de */

"use strict";

// Wenn diese Datei und die Datei kalender.php in einem Unterverzeichnis
// liegen, dann muss der Verzeichnispfad hier eingetragen werden.
var kalender = "kalender.php";

var xhr = new XMLHttpRequest();
var Aktuell = new Date();
zeigeKalender(Aktuell.getFullYear(), Aktuell.getMonth()+1);

function zeigeKalender(jahr, monat, mA, jA) {
 xhr.open("GET", kalender + "?kalender&jahr=" + jahr + "&monat=" + monat +
  (mA == true ? '&monate' : '') + (jA == true ? '&jahre' : '') + '&rnd' + (Math.random()*1000), true);
 xhr.send(null);
 xhr.onreadystatechange = function() {
  if (xhr.readyState == 4 &&
      xhr.status == 200) {
   document.getElementById("kalender").innerHTML = xhr.responseText;
  }
 }
}

function zeigeEvent(id, tag) {
 xhr.open("GET", kalender + "?event&id=" + id, true);
 xhr.send(null);
 xhr.onreadystatechange = ausgabe;
}

function zeigeFormular(form, tag, monat, jahr, id) {
 xhr.open("GET", kalender + "?form=" + form + "&tag=" + tag +
 "&monat=" + monat + "&jahr=" + jahr + (id != "" ? "&id=" + id : ''), true);
 xhr.send(null);
 xhr.onreadystatechange = ausgabe;
}

function zeigeKalenderblatt(tag, monat, jahr) {
 xhr.open("GET", kalender + "?kalenderblatt&tag=" + tag +
 "&monat=" + monat + "&jahr=" + jahr, true);
 xhr.send(null);
 xhr.onreadystatechange = ausgabe;
}

function sendeFormular() {
 xhr.open("POST", kalender);
 var daten = new FormData(document.getElementById("Form"));
 xhr.send(daten);
 xhr.onreadystatechange = ausgabe;
}

function ausgabe() {
 if (xhr.readyState == 4 &&
     xhr.status == 200) {
  if (xhr.responseText.indexOf("|") == 4 &&
      xhr.responseText.length <= 7) {
   var datum = xhr.responseText.split("|");
   zeigeKalender(datum[0], datum[1]);
  }
  else {
   document.getElementById("anzeige").style.visibility = "visible";
   document.getElementById("anzeige").innerHTML = xhr.responseText;
   window.location.href="#anzeige";
  }
 }
}