<?php
/* Event Kalender - Einstellungen - verbindung.php
 - Webbausteine.de */


// Verbindungsdaten zur Datenbank
$DB_HOST = "localhost"; // Host-Adresse
$DB_NAME = "test"; // Datenbankname
$DB_BENUTZER = "root"; // Benutzername
$DB_PASSWORT = ""; // Passwort


// Name (Administrator)
$NAME = "user";

// Passwort (Administrator)
// Aus Sicherheitsgründen sollte das Passwort min. 8 Zeichen enthalten
$NAME_PASS[$NAME] = "0000";

// Weitere Namen und Passwörter hinzufügen (Optional)
// $NAME_PASS["Ann Stecknaddel"] = "aua";
// $NAME_PASS["Kai Serschmarn"] = "lecker";


// Kalender-Anzeige als Tabelle oder Liste (tabelle/liste)
$KALENDER_TYP = "tabelle"; // tabelle

// Events direkt im Kalender eintragen, bearbeiten (ja/nein)
$DIREKTEINGABE = "ja"; // ja

// Uhrzeit anzeigen (ja/nein)
$UHRZEIT_ANZEIGE = "ja"; // ja

// Kalenderblatt anzeigen (ja/nein)
$KALENDERBLATT_ANZEIGE = "ja"; // ja

// Feiertage anzeigen (ja/nein)
$FEIERTAGE_ANZEIGE = "ja"; // ja

// Den Autor im Kalender anzeigen (ja/nein)
$AUTOR_ANZEIGE = "nein"; // nein

// Standortbestimmung für die Anzeige von Sonnenauf.- und Sonnenuntergang
// Die geografische Länge und Breite des Standorts können Sie z.B.
// mit dem Programm "Google Earth" ermitteln.
$GEO_BREITE = "49.57";
$GEO_LAENGE = "10.57";

// Folgende HTML-Tags können verwendet werden:
$HTML_TAGS = ""; // z.B: <img><b><u><ol><li><span>

// Name der Datenbank-Tabelle (Vorzeichen)
$TABLE_PREFIX = "db"; // db

// Zeitzone setzen
// http://de3.php.net/manual/de/timezones.europe.php
date_default_timezone_set("Europe/Berlin");

// PHP-Meldungen zum testen anzeigen (0/1)
error_reporting(1); // 1 = anzeigen

// PHP-Version überprüfen
if (version_compare(PHP_VERSION, '5.4.0') < 0)
 die('<p>Aktuelle PHP-Version: ' . PHP_VERSION . '<br>Voraussetzung mind.: 5.4.0</p>');

// Zeichensatz UTF-8 setzen
// Infos: http://webbausteine.de/blog/tipps/schriftzeichen_richtig_darstellen.php
$OPTION = [PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"];

try {
 // Verbindung zur Datenbank aufbauen
 $db = new PDO("mysql:host=" . $DB_HOST . ";dbname=" . $DB_NAME,
  $DB_BENUTZER, $DB_PASSWORT, $OPTION);
}
catch (PDOException $e) {
 // Bei einer fehlerhaften Verbindung eine Nachricht ausgeben
 exit("Verbindung fehlgeschlagen! " . $e->getMessage());
}
?>